<script setup lang="ts">
import { dateZhTW, zhTW } from 'naive-ui'
import themeOverrides from '~/styles/naive-ui-theme-overrides.json'
</script>

<template>
  <NConfigProvider
    :locale="zhTW"
    :date-locale="dateZhTW"
    :theme-overrides="themeOverrides"
    abstract
    inline-theme-disabled
  >
    <NLoadingBarProvider>
      <NMessageProvider>
        <NNotificationProvider>
          <NDialogProvider>
            <ThemeProvider>
              <slot></slot>
            </ThemeProvider>
          </NDialogProvider>
        </NNotificationProvider>
      </NMessageProvider>
    </NLoadingBarProvider>
  </NConfigProvider>
</template>
